SET NAMES 'utf8';

DROP TABLE IF EXISTS `{{prefix}}div_template`;

DROP TABLE IF EXISTS `{{prefix}}message_template_test`;

DROP TABLE IF EXISTS `{{prefix}}pc_floor_block_copy1`;

ALTER TABLE `{{prefix}}diy_view_util` DROP COLUMN controller;
ALTER TABLE `{{prefix}}diy_view_util` DROP COLUMN icon_selected;

ALTER TABLE `{{prefix}}site_diy_view` DROP COLUMN update_time;
ALTER TABLE `{{prefix}}site_diy_view` DROP COLUMN template_id;
ALTER TABLE `{{prefix}}site_diy_view` ADD COLUMN template_key VARCHAR(255) NOT NULL DEFAULT '' COMMENT '所选模板标识';
ALTER TABLE `{{prefix}}site_diy_view` ADD COLUMN is_default INT(11) NOT NULL DEFAULT 0 COMMENT '是否默认页面（针对自定义模板设置），1：是，0：否';
ALTER TABLE `{{prefix}}site_diy_view` ADD COLUMN modify_time INT(11) NOT NULL DEFAULT 0 COMMENT '修改时间';
ALTER TABLE `{{prefix}}site_diy_view` MODIFY sort INT(11) NOT NULL DEFAULT 0 COMMENT '排序' AFTER is_default;
ALTER TABLE `{{prefix}}site_diy_view` MODIFY create_time INT(11) NOT NULL DEFAULT 0 COMMENT '创建时间' AFTER sort;

ALTER TABLE `{{prefix}}goods` ADD COLUMN brand_id INT(11) NOT NULL DEFAULT 0 COMMENT '商品品牌id';
ALTER TABLE `{{prefix}}goods` ADD COLUMN brand_name VARCHAR(255) NOT NULL DEFAULT '' COMMENT '品牌名称';
ALTER TABLE `{{prefix}}goods` ADD COLUMN sale_show INT(11) NOT NULL DEFAULT 0 COMMENT '销量是否展示';
ALTER TABLE `{{prefix}}goods` ADD COLUMN stock_show INT(11) NOT NULL DEFAULT 0 COMMENT '库存是否展示';
ALTER TABLE `{{prefix}}goods` ADD COLUMN virtual_deliver_type VARCHAR(20) NOT NULL DEFAULT '' COMMENT '虚拟商品发货方式';
ALTER TABLE `{{prefix}}goods` ADD COLUMN virtual_receive_type VARCHAR(20) NOT NULL DEFAULT '' COMMENT '虚拟商品收货方式';
ALTER TABLE `{{prefix}}goods` ADD COLUMN barrage_show INT(11) NOT NULL DEFAULT 0 COMMENT '弹幕是否展示';
ALTER TABLE `{{prefix}}goods` ADD COLUMN market_price_show INT(11) NOT NULL DEFAULT 0 COMMENT '划线价是否展示';
ALTER TABLE `{{prefix}}goods` MODIFY brand_id INT(11) NOT NULL DEFAULT 0 COMMENT '商品品牌id' AFTER category_json;
ALTER TABLE `{{prefix}}goods` MODIFY brand_name VARCHAR(255) NOT NULL DEFAULT '' COMMENT '品牌名称' AFTER brand_id;

DROP TABLE IF EXISTS `{{prefix}}verify_record`;

CREATE TABLE `{{prefix}}verify_record` (
  id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键',
  site_id INT(11) NOT NULL DEFAULT 0 COMMENT '站点id',
  verify_code VARCHAR(255) NOT NULL DEFAULT '' COMMENT '核销码',
  verifier_id INT(11) NOT NULL DEFAULT 0 COMMENT '核销员id',
  verifier_name VARCHAR(255) NOT NULL DEFAULT '' COMMENT '核销员姓名',
  verify_time INT(11) NOT NULL DEFAULT 0 COMMENT '创建时间',
  verify_num INT(11) NOT NULL DEFAULT 1 COMMENT '核销次数',
  verify_from VARCHAR(255) NOT NULL DEFAULT 'mobile' COMMENT '核销端口',
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci,
COMMENT = '核销记录表';

ALTER TABLE `{{prefix}}verify` ADD COLUMN verify_total_count INT(11) NOT NULL DEFAULT 0 COMMENT '核销次数';
ALTER TABLE `{{prefix}}verify` ADD COLUMN verify_use_num INT(11) NOT NULL DEFAULT 0 COMMENT '已核销次数';

ALTER TABLE `{{prefix}}store` CHANGE COLUMN longitude longitude VARCHAR(50) NOT NULL DEFAULT '' COMMENT '经度';
ALTER TABLE `{{prefix}}store` CHANGE COLUMN latitude latitude VARCHAR(50) NOT NULL DEFAULT '' COMMENT '纬度';

DROP TABLE IF EXISTS `{{prefix}}stat_shop_hour`;
CREATE TABLE `{{prefix}}stat_shop_hour` (
  id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  site_id INT(11) NOT NULL DEFAULT 0 COMMENT '站点id',
  year INT(11) NOT NULL DEFAULT 0 COMMENT '年',
  month INT(11) NOT NULL DEFAULT 0 COMMENT '月',
  day INT(11) NOT NULL DEFAULT 0 COMMENT '日',
  hour INT(11) NOT NULL DEFAULT 0 COMMENT '时',
  day_time INT(11) NOT NULL DEFAULT 0 COMMENT '当日时间',
  order_total DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '订单金额',
  shipping_total DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '运费金额',
  refund_total DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '退款金额',
  order_pay_count INT(11) NOT NULL DEFAULT 0 COMMENT '订单总数',
  goods_pay_count INT(11) NOT NULL DEFAULT 0 COMMENT '订单商品总数',
  shop_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '店铺金额',
  platform_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '平台金额',
  create_time INT(11) NOT NULL DEFAULT 0 COMMENT '创建时间',
  modify_time INT(11) NOT NULL DEFAULT 0 COMMENT '修改时间',
  collect_shop INT(11) NOT NULL DEFAULT 0 COMMENT '店铺收藏量',
  collect_goods INT(11) NOT NULL DEFAULT 0 COMMENT '商品收藏量',
  visit_count INT(11) NOT NULL DEFAULT 0 COMMENT '浏览量',
  order_count INT(11) NOT NULL DEFAULT 0 COMMENT '订单量（总）',
  goods_count INT(11) NOT NULL DEFAULT 0 COMMENT '订单商品量（总）',
  add_goods_count INT(11) NOT NULL DEFAULT 0 COMMENT '添加商品数',
  member_count INT(11) NOT NULL DEFAULT 0 COMMENT '会员统计',
  order_member_count INT(11) NOT NULL DEFAULT 0 COMMENT '下单会员数',
  order_refund_count INT(11) NOT NULL DEFAULT 0 COMMENT '退款订单数',
  order_refund_grand_count DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '退款金额',
  order_refund_grand_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '累计退款金额',
  coupon_member_count INT(11) NOT NULL DEFAULT 0 COMMENT '领券会员数量',
  member_level_count INT(11) NOT NULL DEFAULT 0 COMMENT '超级会员卡销售量',
  member_level_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '超级会员卡销售额',
  member_level_grand_count INT(11) NOT NULL DEFAULT 0 COMMENT '累计超级会员卡销售量',
  member_level_grand_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '累计超级会员卡销售额',
  member_recharge_count INT(11) NOT NULL DEFAULT 0 COMMENT '会员储值总订单量',
  member_recharge_grand_count DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '累计会员储值总量',
  member_recharge_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '会员充值总额',
  member_recharge_grand_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '累计会员充值总额',
  member_recharge_member_count INT(11) NOT NULL DEFAULT 0 COMMENT '储值会员数',
  member_giftcard_count INT(11) NOT NULL DEFAULT 0 COMMENT '礼品卡订单总量',
  member_giftcard_grand_count INT(11) NOT NULL DEFAULT 0 COMMENT '累计礼品卡订单总量',
  member_giftcard_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '礼品卡订单总额',
  h5_visit_count INT(11) NOT NULL DEFAULT 0 COMMENT 'h5访问量',
  wechat_visit_count INT(11) NOT NULL DEFAULT 0 COMMENT 'wechat访问量',
  weapp_visit_count INT(11) NOT NULL DEFAULT 0 COMMENT 'weapp访问量',
  pc_visit_count INT(11) NOT NULL DEFAULT 0 COMMENT 'pc访问量',
  expected_earnings_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '预计收入',
  expenditure_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '总支出',
  earnings_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '总收入',
  member_withdraw_count INT(11) NOT NULL DEFAULT 0 COMMENT '会员提现总量',
  member_withdraw_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '会员提现总额',
  coupon_count INT(11) NOT NULL DEFAULT 0 COMMENT '领券数',
  add_coupon_count INT(11) NOT NULL DEFAULT 0 COMMENT '新增优惠券',
  order_pay_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '订单实际支付',
  add_fenxiao_member_count INT(11) NOT NULL DEFAULT 0 COMMENT '新增分销商',
  fenxiao_order_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '分销订单总额',
  fenxiao_order_count INT(11) NOT NULL DEFAULT 0 COMMENT '分销订单总数',
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci;

ALTER TABLE `{{prefix}}stat_shop_hour` ADD INDEX IDX_ns_stat_shop_hour_day(day);
ALTER TABLE `{{prefix}}stat_shop_hour` ADD INDEX IDX_ns_stat_shop_hour_day_time(day_time);
ALTER TABLE `{{prefix}}stat_shop_hour` ADD INDEX IDX_ns_stat_shop_hour_hour(hour);
ALTER TABLE `{{prefix}}stat_shop_hour` ADD INDEX IDX_ns_stat_shop_hour_month(month);
ALTER TABLE `{{prefix}}stat_shop_hour` ADD INDEX IDX_ns_stat_shop_hour_site_id(site_id);
ALTER TABLE `{{prefix}}stat_shop_hour` ADD INDEX IDX_ns_stat_shop_hour_year(year);

ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN order_member_count INT(11) NOT NULL DEFAULT 0 COMMENT '下单会员数';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN order_refund_count INT(11) NOT NULL DEFAULT 0 COMMENT '退款订单数';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN order_refund_grand_count DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '退款金额';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN order_refund_grand_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '累计退款金额';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN coupon_member_count INT(11) NOT NULL DEFAULT 0 COMMENT '领券会员数量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_level_count INT(11) NOT NULL DEFAULT 0 COMMENT '超级会员卡销售量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_level_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '超级会员卡销售额';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_level_grand_count INT(11) NOT NULL DEFAULT 0 COMMENT '累计超级会员卡销售量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_level_grand_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '累计超级会员卡销售额';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_recharge_count INT(11) NOT NULL DEFAULT 0 COMMENT '会员储值总订单量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_recharge_grand_count DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '累计会员储值总量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_recharge_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '会员充值总额';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_recharge_grand_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '累计会员充值总额';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_recharge_member_count INT(11) NOT NULL DEFAULT 0 COMMENT '储值会员数';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_giftcard_count INT(11) NOT NULL DEFAULT 0 COMMENT '礼品卡订单总量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_giftcard_grand_count INT(11) NOT NULL DEFAULT 0 COMMENT '累计礼品卡订单总量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_giftcard_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '礼品卡订单总额';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN h5_visit_count INT(11) NOT NULL DEFAULT 0 COMMENT 'h5访问量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN wechat_visit_count INT(11) NOT NULL DEFAULT 0 COMMENT 'wechat访问量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN weapp_visit_count INT(11) NOT NULL DEFAULT 0 COMMENT 'weapp访问量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN pc_visit_count INT(11) NOT NULL DEFAULT 0 COMMENT 'pc访问量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN expected_earnings_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '预计收入';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN expenditure_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '总支出';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN earnings_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '总收入';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_withdraw_count INT(11) NOT NULL DEFAULT 0 COMMENT '会员提现总量';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN member_withdraw_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '会员提现总额';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN coupon_count INT(11) NOT NULL DEFAULT 0 COMMENT '领券数';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN add_coupon_count INT(11) NOT NULL DEFAULT 0 COMMENT '新增优惠券';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN order_pay_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '订单实际支付';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN add_fenxiao_member_count INT(11) NOT NULL DEFAULT 0 COMMENT '新增分销商';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN fenxiao_order_total_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '分销订单总额';
ALTER TABLE `{{prefix}}stat_shop` ADD COLUMN fenxiao_order_count INT(11) NOT NULL DEFAULT 0 COMMENT '分销订单总数';

DROP TABLE IF EXISTS `{{prefix}}site_address`;

CREATE TABLE `{{prefix}}site_address` (
  id INT(11) NOT NULL AUTO_INCREMENT,
  site_id INT(11) NOT NULL DEFAULT 0,
  contact_name VARCHAR(50) NOT NULL DEFAULT '' COMMENT '联系人',
  mobile VARCHAR(255) NOT NULL DEFAULT '' COMMENT '联系人手机号',
  postcode VARCHAR(255) NOT NULL DEFAULT '' COMMENT '邮政编码',
  province_id INT(11) NOT NULL DEFAULT 0 COMMENT '省',
  city_id INT(11) NOT NULL DEFAULT 0 COMMENT '市',
  district_id INT(11) NOT NULL DEFAULT 0 COMMENT '县',
  community_id INT(11) NOT NULL DEFAULT 0 COMMENT '乡镇',
  address VARCHAR(255) NOT NULL DEFAULT '' COMMENT '详细地址',
  full_address VARCHAR(255) NOT NULL DEFAULT '' COMMENT '完整地址',
  is_return TINYINT(4) NOT NULL DEFAULT 0 COMMENT '退货地址',
  is_return_default TINYINT(4) NOT NULL DEFAULT 0 COMMENT '是否是默认退货地址',
  is_delivery TINYINT(4) NOT NULL DEFAULT 0 COMMENT '发货地址',
  update_time INT(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci,
COMMENT = '站点地址库';

ALTER TABLE `{{prefix}}site` ADD COLUMN logo_square VARCHAR(255) NOT NULL DEFAULT '' COMMENT '站点方形logo';

ALTER TABLE `{{prefix}}shop_accept_message` ADD COLUMN mobile VARCHAR(50) NOT NULL DEFAULT '' COMMENT '通知人手机号';
ALTER TABLE `{{prefix}}shop_accept_message` ADD COLUMN wx_openid VARCHAR(255) NOT NULL DEFAULT '' COMMENT '通知人微信公众号openid';
ALTER TABLE `{{prefix}}shop_accept_message` ADD COLUMN nickname VARCHAR(255) NOT NULL DEFAULT '' COMMENT '通知人昵称';

ALTER TABLE `{{prefix}}promotion_jielong` CHANGE COLUMN jielong_name jielong_name VARCHAR(255) NOT NULL DEFAULT '' COMMENT '接龙活动名称';

ALTER TABLE `{{prefix}}printer_template` ADD COLUMN type VARCHAR(50) NOT NULL DEFAULT '' COMMENT '模板类型';
ALTER TABLE `{{prefix}}printer_template` ADD COLUMN type_name VARCHAR(50) NOT NULL DEFAULT '' COMMENT '模板类型名称';
ALTER TABLE `{{prefix}}printer_template` ADD COLUMN goods_price_show INT(11) NOT NULL DEFAULT 0 COMMENT '商品金额是否展示';
ALTER TABLE `{{prefix}}printer_template` ADD COLUMN goods_code_show INT(11) NOT NULL DEFAULT 1 COMMENT '商品编码是否展示';
ALTER TABLE `{{prefix}}printer_template` ADD COLUMN goods_price_type VARCHAR(50) NOT NULL DEFAULT 'price' COMMENT '商品金额 price-售价，order_price-实付价';
ALTER TABLE `{{prefix}}printer_template` ADD COLUMN form_show INT(11) NOT NULL DEFAULT 1 COMMENT '是否显示表单';

ALTER TABLE `{{prefix}}printer` ADD COLUMN order_pay_template_id INT(11) NOT NULL DEFAULT 0 COMMENT '订单支付打印模板';
ALTER TABLE `{{prefix}}printer` ADD COLUMN order_pay_print_num INT(11) NOT NULL DEFAULT 1 COMMENT '订单支付打印张数';
ALTER TABLE `{{prefix}}printer` ADD COLUMN order_pay_order_type VARCHAR(255) NOT NULL DEFAULT '' COMMENT '订单支付打印订单类型';
ALTER TABLE `{{prefix}}printer` ADD COLUMN take_delivery_open INT(11) NOT NULL DEFAULT 1 COMMENT '订单收货打印开启';
ALTER TABLE `{{prefix}}printer` ADD COLUMN take_delivery_template_id INT(11) NOT NULL DEFAULT 0 COMMENT '订单收货打印模板';
ALTER TABLE `{{prefix}}printer` ADD COLUMN take_delivery_print_num INT(11) NOT NULL DEFAULT 1 COMMENT '订单收货打印张数';
ALTER TABLE `{{prefix}}printer` ADD COLUMN take_delivery_order_type VARCHAR(255) NOT NULL DEFAULT '' COMMENT '订单收货打印订单类型';
ALTER TABLE `{{prefix}}printer` ADD COLUMN recharge_open INT(11) NOT NULL DEFAULT 1 COMMENT '充值打印开启';
ALTER TABLE `{{prefix}}printer` ADD COLUMN recharge_template_id INT(11) NOT NULL DEFAULT 0 COMMENT '充值打印模板';
ALTER TABLE `{{prefix}}printer` ADD COLUMN recharge_print_num INT(11) NOT NULL DEFAULT 1 COMMENT '充值打印张数';
ALTER TABLE `{{prefix}}printer` ADD COLUMN manual_open INT(11) NOT NULL DEFAULT 1 COMMENT '手动打印开启';
ALTER TABLE `{{prefix}}printer` ADD COLUMN order_pay_open INT(11) NOT NULL DEFAULT 1 COMMENT '订单支付打印开启';
ALTER TABLE `{{prefix}}printer` MODIFY manual_open INT(11) NOT NULL DEFAULT 1 COMMENT '手动打印开启' AFTER update_time;
ALTER TABLE `{{prefix}}printer` MODIFY order_pay_open INT(11) NOT NULL DEFAULT 1 COMMENT '订单支付打印开启' AFTER manual_open;

ALTER TABLE `{{prefix}}pay` ADD COLUMN balance DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '不可提现余额';
ALTER TABLE `{{prefix}}pay` ADD COLUMN balance_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '可提现余额';
ALTER TABLE `{{prefix}}pay` ADD COLUMN member_id INT(11) NOT NULL DEFAULT 0 COMMENT '支付会员id';

ALTER TABLE `{{prefix}}order_goods` ADD COLUMN refund_address_id INT(11) NOT NULL DEFAULT 0 COMMENT '退货地址id';
ALTER TABLE `{{prefix}}order_goods` ADD COLUMN refund_pay_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '真实退款金额';

ALTER TABLE `{{prefix}}order` ADD COLUMN close_cause VARCHAR(255) NOT NULL DEFAULT '' COMMENT '关闭原因';

ALTER TABLE `{{prefix}}notes` ADD COLUMN release_time INT(11) NOT NULL DEFAULT 0 COMMENT '发布时间';
ALTER TABLE `{{prefix}}notes` ADD COLUMN note_link VARCHAR(255) NOT NULL DEFAULT '' COMMENT '公众号文章链接';
ALTER TABLE `{{prefix}}notes` ADD COLUMN video_path VARCHAR(255) NOT NULL DEFAULT '' COMMENT '视频地址';

ALTER TABLE `{{prefix}}member_withdraw` ADD COLUMN fail_reason VARCHAR(255) NOT NULL DEFAULT '' COMMENT '失败原因';

ALTER TABLE `{{prefix}}member` ADD COLUMN last_visit_time INT(11) NOT NULL DEFAULT 0 COMMENT '最后访问时间';
ALTER TABLE `{{prefix}}member` ADD COLUMN last_consum_time INT(11) NOT NULL DEFAULT 0 COMMENT '最后消费时间';
ALTER TABLE `{{prefix}}member` ADD COLUMN balance_lock DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '冻结中的不可提现余额';
ALTER TABLE `{{prefix}}member` ADD COLUMN balance_money_lock DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '冻结中的可提现余额';
ALTER TABLE `{{prefix}}member` MODIFY last_visit_time INT(11) NOT NULL DEFAULT 0 COMMENT '最后访问时间' AFTER last_login_time;
ALTER TABLE `{{prefix}}member` MODIFY last_consum_time INT(11) NOT NULL DEFAULT 0 COMMENT '最后消费时间' AFTER last_visit_time;

ALTER TABLE `{{prefix}}local` ADD COLUMN man_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '满多少钱';
ALTER TABLE `{{prefix}}local` ADD COLUMN man_type VARCHAR(255) NOT NULL DEFAULT '' COMMENT '满足条件优惠类型  free  discount';
ALTER TABLE `{{prefix}}local` ADD COLUMN man_discount DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '满减优惠金额';

ALTER TABLE `{{prefix}}link` MODIFY COLUMN sort INT(11) NOT NULL DEFAULT 0 COMMENT '排序';

ALTER TABLE `{{prefix}}goods_virtual` ADD COLUMN verify_total_count INT(11) NOT NULL DEFAULT 0 COMMENT '核销次数';
ALTER TABLE `{{prefix}}goods_virtual` ADD COLUMN verify_use_num INT(11) NOT NULL DEFAULT 0 COMMENT '已核销次数';

ALTER TABLE `{{prefix}}goods_sku` ADD COLUMN brand_id INT(11) NOT NULL DEFAULT 0 COMMENT '品牌id';
ALTER TABLE `{{prefix}}goods_sku` ADD COLUMN brand_name VARCHAR(255) NOT NULL DEFAULT '' COMMENT '品牌名称';

DROP TABLE IF EXISTS `{{prefix}}goods_brand`;
CREATE TABLE `{{prefix}}goods_brand` (
  brand_id BIGINT(20) NOT NULL AUTO_INCREMENT COMMENT '索引ID',
  brand_name VARCHAR(100) NOT NULL DEFAULT '' COMMENT '品牌名称',
  brand_initial VARCHAR(1) NOT NULL DEFAULT '' COMMENT '品牌首字母',
  image_url VARCHAR(255) NOT NULL DEFAULT '' COMMENT '图片',
  site_id INT(11) NOT NULL DEFAULT 0 COMMENT '所属店铺id',
  sort INT(11) NOT NULL DEFAULT 0 COMMENT '排序',
  create_time INT(11) NOT NULL DEFAULT 0 COMMENT '创建时间',
  is_recommend TINYINT(4) NOT NULL DEFAULT 0 COMMENT '是否推荐',
  PRIMARY KEY (brand_id)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci,
COMMENT = '商品品牌表';

ALTER TABLE `{{prefix}}giftcard_transfer_record` ADD COLUMN share_key VARCHAR(50) NOT NULL DEFAULT '';

DROP TABLE IF EXISTS `{{prefix}}express_template_free_shipping`;
CREATE TABLE `{{prefix}}express_template_free_shipping` (
  item_id INT(11) NOT NULL AUTO_INCREMENT,
  template_id INT(11) NOT NULL DEFAULT 0 COMMENT '模板id',
  area_ids MEDIUMTEXT DEFAULT NULL COMMENT '地址id序列',
  area_names MEDIUMTEXT DEFAULT NULL COMMENT '地址名称序列',
  snum INT(11) NOT NULL DEFAULT 0 COMMENT '件数',
  sprice DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '价格',
  PRIMARY KEY (item_id)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci,
COMMENT = '运费模板免邮地区';

ALTER TABLE `{{prefix}}express_template` ADD COLUMN appoint_free_shipping INT(11) NOT NULL DEFAULT 0 COMMENT '是否指定免邮';
ALTER TABLE `{{prefix}}express_template` ADD COLUMN shipping_surplus_area_ids MEDIUMTEXT DEFAULT NULL COMMENT '包邮地区剩余地址id';

DROP TABLE IF EXISTS `{{prefix}}article_category`;
CREATE TABLE `{{prefix}}article_category` (
  category_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  site_id INT(11) NOT NULL DEFAULT 0 COMMENT '站点id',
  category_name VARCHAR(255) NOT NULL DEFAULT '' COMMENT '分类名称',
  sort INT(11) NOT NULL DEFAULT 0 COMMENT '排序',
  article_num INT(11) NOT NULL DEFAULT 0 COMMENT '文章数',
  create_time INT(11) NOT NULL DEFAULT 0,
  update_time INT(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (category_id)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci,
COMMENT = '文章分类';

DROP TABLE IF EXISTS `{{prefix}}article`;
CREATE TABLE `{{prefix}}article` (
  article_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  site_id INT(11) NOT NULL DEFAULT 0 COMMENT '店铺id',
  site_name VARCHAR(255) NOT NULL DEFAULT '' COMMENT '店铺名称',
  article_title VARCHAR(255) NOT NULL DEFAULT '' COMMENT '标题',
  article_abstract VARCHAR(255) NOT NULL DEFAULT '' COMMENT '摘要',
  category_id INT(11) NOT NULL DEFAULT 0 COMMENT '分类id',
  cover_img VARCHAR(2000) NOT NULL DEFAULT '' COMMENT '封面图片',
  article_content TEXT DEFAULT NULL COMMENT '内容',
  status TINYINT(4) NOT NULL DEFAULT 0 COMMENT '状态（0草稿箱  1发布）',
  is_show_release_time TINYINT(4) NOT NULL DEFAULT 0 COMMENT '发布时间是否显示',
  is_show_read_num TINYINT(4) NOT NULL DEFAULT 0 COMMENT '阅读数是否显示',
  is_show_dianzan_num TINYINT(4) NOT NULL DEFAULT 0 COMMENT '点赞数是否显示',
  read_num INT(11) NOT NULL DEFAULT 0 COMMENT '阅读数',
  dianzan_num INT(11) NOT NULL DEFAULT 0 COMMENT '点赞数',
  create_time INT(11) DEFAULT 0,
  update_time INT(11) NOT NULL DEFAULT 0,
  initial_read_num INT(11) NOT NULL DEFAULT 0 COMMENT '初始阅读数',
  initial_dianzan_num INT(11) NOT NULL DEFAULT 0 COMMENT '初始点赞数',
  sort INT(11) NOT NULL DEFAULT 0 COMMENT '排序',
  PRIMARY KEY (article_id)
)
ENGINE = INNODB,
CHARACTER SET utf8,
COLLATE utf8_general_ci,
COMMENT = '文章表';

ALTER TABLE `{{prefix}}article` ADD INDEX IDX_ns_article_class_id(category_id);
ALTER TABLE `{{prefix}}article` ADD INDEX IDX_ns_article_site_id(site_id);

ALTER TABLE `{{prefix}}album_pic` ADD COLUMN type VARCHAR(50) NOT NULL DEFAULT '' COMMENT '类型';

ALTER TABLE `{{prefix}}album` ADD COLUMN type VARCHAR(50) NOT NULL DEFAULT 'img' COMMENT '类型';
ALTER TABLE `{{prefix}}album` ADD COLUMN pid INT(11) NOT NULL DEFAULT 0 COMMENT '上级pid';
ALTER TABLE `{{prefix}}album` ADD COLUMN level INT(11) NOT NULL DEFAULT 0 COMMENT '层级';

ALTER TABLE `{{prefix}}wechat_mass_recording` CHANGE COLUMN status status INT(11) NOT NULL DEFAULT 0 COMMENT '发送状态1-成功  0-失败';

ALTER TABLE `{{prefix}}weapp_goods` CHANGE COLUMN status status INT(11) NOT NULL DEFAULT 0 COMMENT '商品状态，0：未审核。1：审核中，2：审核通过，3：审核驳回';

ALTER TABLE `{{prefix}}shopcompoent_goods` CHANGE COLUMN audit_time audit_time INT(11) NOT NULL DEFAULT 0 COMMENT '审核时间';

ALTER TABLE `{{prefix}}promotion_seckill_time` CHANGE COLUMN name name VARCHAR(255) NOT NULL DEFAULT '' COMMENT '秒杀时段名称';

ALTER TABLE `{{prefix}}promotion_presale` CHANGE COLUMN presale_name presale_name VARCHAR(255) NOT NULL DEFAULT '' COMMENT '预售活动名称';

ALTER TABLE `{{prefix}}promotion_manjian` CHANGE COLUMN manjian_name manjian_name VARCHAR(255) NOT NULL DEFAULT '' COMMENT '名称';

ALTER TABLE `{{prefix}}promotion_bundling_goods` CHANGE COLUMN sku_name sku_name VARCHAR(255) NOT NULL DEFAULT '' COMMENT '商品名称';

ALTER TABLE `{{prefix}}goods_service` CHANGE COLUMN icon icon VARCHAR(2000) NOT NULL DEFAULT '';

DELETE FROM `{{prefix}}config` WHERE config_key like '%DIY_MEMBER_INDEX_CONFIG_SHOP%';

TRUNCATE TABLE `{{prefix}}site_diy_view`;

ALTER TABLE `{{prefix}}promotion_birthdaygift` ADD COLUMN start_time INT(11) NOT NULL DEFAULT 0 COMMENT '活动开始时间';

ALTER TABLE `{{prefix}}promotion_birthdaygift` ADD COLUMN end_time INT(11) NOT NULL DEFAULT 0 COMMENT '活动结束时间';

UPDATE `{{prefix}}config` nc SET nc.value = '' WHERE nc.config_key = 'SRRVICER_ROOT_CONFIG' AND nc.site_id = 1;

DELETE FROM `{{prefix}}config` WHERE config_key='DEFAULT_IMAGE';

DELETE FROM `{{prefix}}config` WHERE config_key like 'DIY_VIEW_SHOP_BOTTOM_NAV_CONFIG_SHOP_%';

ALTER TABLE `{{prefix}}promotion_consume_record` ADD COLUMN out_trade_no VARCHAR(255) NOT NULL DEFAULT '' COMMENT '支付流水号';

UPDATE `{{prefix}}config` nc SET nc.value='{"style":"app/shop/view/base/style2.html"}' WHERE  nc.config_key='STYLE_CONFIG';

INSERT INTO `{{prefix}}verify_record`(site_id,verify_code,verifier_id,verifier_name,verify_time,verify_num,verify_from) select site_id,verify_code,verifier_id,verifier_name,verify_time,1,verify_from from {{prefix}}verify where is_verify = 1;

update `{{prefix}}verify` set verify_total_count = 1;
update `{{prefix}}verify` set verify_use_num = 1 where is_verify = 1;

update `{{prefix}}notes` set release_time = update_time;

ALTER TABLE `{{prefix}}promotion_pinfan` CHANGE COLUMN reward_type reward_type TINYINT(1) NOT NULL DEFAULT 0 COMMENT '拼团成功但是未发货奖励1消费余额2现金红包3优惠券4.积分';

ALTER TABLE `{{prefix}}member_level` CHANGE COLUMN charge_type charge_type INT(1) NOT NULL DEFAULT 0 COMMENT '付费类型 0付款 1充值';

ALTER TABLE `{{prefix}}blindbox_order` CHANGE COLUMN site_id site_id INT(11) NOT NULL DEFAULT 0 COMMENT '站点id';

ALTER TABLE `{{prefix}}blindbox_order` MODIFY COLUMN sku_id INT(11) NOT NULL DEFAULT 0 COMMENT 'sku_id';

ALTER TABLE `{{prefix}}blindbox_order` MODIFY COLUMN address_id INT(11) NOT NULL DEFAULT 0 COMMENT '地址Id';

update `{{prefix}}message_template` set weapp_json='{"tid":"31934","kidList":[2,3,5,6],"content":"\\u8BA2\\u5355\\u7F16\\u53F7{{character_string6.DATA}}\\n\\u4E0B\\u5355\\u65F6\\u95F4{{time2.DATA}}\\n\\u8FC7\\u671F\\u65F6\\u95F4{{time3.DATA}}\\n\\u6E29\\u99A8\\u63D0\\u793A{{thing5.DATA}}","sceneDesc":"\\u6838\\u9500\\u7801\\u5230\\u671F\\u63D0\\u9192"}' where `keywords`='VERIFY_CODE_EXPIRE';

update `{{prefix}}message_template` set weapp_json='{"tid":"30782","kidList":[1,2,3],"content":"\\u8BA2\\u5355\\u7F16\\u53F7{{character_string1.DATA}}\\n\\u8BA2\\u5355\\u5185\\u5BB9{{thing2.DATA}}\\n\\u652F\\u4ED8\\u91D1\\u989D{{character_string3.DATA}}","sceneDesc":"\\u8BA2\\u5355\\u50AC\\u4ED8\\u63D0\\u9192"}' where `keywords` = 'ORDER_URGE_PAYMENT';

update `{{prefix}}message_template` set weapp_json='{"tid":"30893","kidList":[1,2,4,6,10],"content":"\\u8BA2\\u5355\\u7F16\\u53F7{{character_string1.DATA}}\\n\\u8BA2\\u5355\\u91D1\\u989D{{amount10.DATA}}\\n\\u5546\\u54C1\\u540D\\u79F0{{thing2.DATA}}\\n\\u6536\\u8D27\\u4EBA{{thing6.DATA}}\\n\\u5B8C\\u6210\\u65F6\\u95F4{{date4.DATA}}","sceneDesc":"\\u4E70\\u5BB6\\u8BA2\\u5355\\u5B8C\\u6210\\u901A\\u77E5"}' where `keywords`='BUYER_ORDER_COMPLETE';

UPDATE `{{prefix}}album` set level=1 where level=0;

TRUNCATE TABLE `{{prefix}}goods_service`;

INSERT INTO `{{prefix}}goods_service` VALUES (1, 1, '7天无理由退货', '支持7天无理由退货(拆封后不支持)', 1658281033, 0, '{\"imageUrl\":\"\",\"icon\":\"icon-system-7days-return\",\"iconType\":\"icon\",\"style\":{\"fontSize\":100,\"iconBgColor\":[],\"iconBgColorDeg\":0,\"iconBgImg\":\"\",\"bgRadius\":0,\"iconColor\":[\"#888888\",\"#888888\"],\"iconColorDeg\":125}}');
INSERT INTO `{{prefix}}goods_service` VALUES (2, 1, '闪电退款', '闪电退款为会员提供的快速退款服务', 1658281033, 0, '{\"imageUrl\":\"\",\"icon\":\"icon-system-lightning-refund\",\"iconType\":\"icon\",\"style\":{\"fontSize\":100,\"iconBgColor\":[],\"iconBgColorDeg\":0,\"iconBgImg\":\"\",\"bgRadius\":0,\"iconColor\":[\"#888888\",\"#888888\"],\"iconColorDeg\":125}}');
INSERT INTO `{{prefix}}goods_service` VALUES (3, 1, '货到付款', '支持送货上门后再收款，支持现金、POS机刷卡等方式', 1658281033, 0, '{\"imageUrl\":\"\",\"icon\":\"icon-system-cash-delivery\",\"iconType\":\"icon\",\"style\":{\"fontSize\":100,\"iconBgColor\":[],\"iconBgColorDeg\":0,\"iconBgImg\":\"\",\"bgRadius\":0,\"iconColor\":[\"#888888\",\"#888888\"],\"iconColorDeg\":125}}');
INSERT INTO `{{prefix}}goods_service` VALUES (4, 1, '运费险', '卖家为您购买的商品投保退货运费险（保单生效以确认订单页展示的运费险为准）', 1658281033, 0, '{\"imageUrl\":\"\",\"icon\":\"icon-system-freight\",\"iconType\":\"icon\",\"style\":{\"fontSize\":100,\"iconBgColor\":[],\"iconBgColorDeg\":0,\"iconBgImg\":\"\",\"bgRadius\":0,\"iconColor\":[\"#888888\",\"#888888\"],\"iconColorDeg\":125}}');

INSERT INTO `{{prefix}}album`(site_id, site_name, album_name, sort, cover, `desc`, is_default, update_time, num, type, pid, level) VALUES
(1, '', '默认分组', 0, '', '', 1, 0, 0, 'video', 0, 1);