SET NAMES 'utf8';

-- 删除店铺风格
DELETE FROM `{{prefix}}config` WHERE config_key like '%SHOP_STYLE_CONFIG%';

UPDATE `{{prefix}}album` set level=1 where level=0;

TRUNCATE TABLE `{{prefix}}goods_service`;

INSERT INTO `{{prefix}}goods_service` VALUES (1, 1, '7天无理由退货', '支持7天无理由退货(拆封后不支持)', 1658281033, 0, '{\"imageUrl\":\"\",\"icon\":\"icon-system-7days-return\",\"iconType\":\"icon\",\"style\":{\"fontSize\":100,\"iconBgColor\":[],\"iconBgColorDeg\":0,\"iconBgImg\":\"\",\"bgRadius\":0,\"iconColor\":[\"#888888\",\"#888888\"],\"iconColorDeg\":125}}');
INSERT INTO `{{prefix}}goods_service` VALUES (2, 1, '闪电退款', '闪电退款为会员提供的快速退款服务', 1658281033, 0, '{\"imageUrl\":\"\",\"icon\":\"icon-system-lightning-refund\",\"iconType\":\"icon\",\"style\":{\"fontSize\":100,\"iconBgColor\":[],\"iconBgColorDeg\":0,\"iconBgImg\":\"\",\"bgRadius\":0,\"iconColor\":[\"#888888\",\"#888888\"],\"iconColorDeg\":125}}');
INSERT INTO `{{prefix}}goods_service` VALUES (3, 1, '货到付款', '支持送货上门后再收款，支持现金、POS机刷卡等方式', 1658281033, 0, '{\"imageUrl\":\"\",\"icon\":\"icon-system-cash-delivery\",\"iconType\":\"icon\",\"style\":{\"fontSize\":100,\"iconBgColor\":[],\"iconBgColorDeg\":0,\"iconBgImg\":\"\",\"bgRadius\":0,\"iconColor\":[\"#888888\",\"#888888\"],\"iconColorDeg\":125}}');
INSERT INTO `{{prefix}}goods_service` VALUES (4, 1, '运费险', '卖家为您购买的商品投保退货运费险（保单生效以确认订单页展示的运费险为准）', 1658281033, 0, '{\"imageUrl\":\"\",\"icon\":\"icon-system-freight\",\"iconType\":\"icon\",\"style\":{\"fontSize\":100,\"iconBgColor\":[],\"iconBgColorDeg\":0,\"iconBgImg\":\"\",\"bgRadius\":0,\"iconColor\":[\"#888888\",\"#888888\"],\"iconColorDeg\":125}}');

-- 修改H5、PC、商家管理端，独立部署命名
UPDATE `{{prefix}}config` SET value = REPLACE(value,'indep','separate') WHERE config_key = 'PC_DOMAIN_NAME' OR config_key = 'H5_DOMAIN_NAME' OR config_key = 'MOBILE_SHOP_DOMAIN_NAME';

-- 新增功能

ALTER TABLE `{{prefix}}promotion_pintuan` ADD COLUMN pintuan_type VARCHAR(50) NOT NULL DEFAULT 'ordinary' COMMENT '拼团类型 ordinary 普通团 ladder 阶梯团';

ALTER TABLE `{{prefix}}promotion_pintuan` ADD COLUMN pintuan_num_2 INT(11) NOT NULL DEFAULT 0 COMMENT '阶梯二参团人数';

ALTER TABLE `{{prefix}}promotion_pintuan` ADD COLUMN pintuan_num_3 INT(11) NOT NULL DEFAULT 0 COMMENT '阶梯三参团人数';

ALTER TABLE `{{prefix}}promotion_pintuan_order` ADD COLUMN pintuan_num INT(11) NOT NULL DEFAULT 0 COMMENT '拼团人数(活动规格)';

ALTER TABLE `{{prefix}}promotion_pintuan_goods` ADD COLUMN pintuan_price_2 DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '阶梯二拼团价';

ALTER TABLE `{{prefix}}promotion_pintuan_goods` ADD COLUMN pintuan_price_3 DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '阶梯三拼团价';

ALTER TABLE `{{prefix}}promotion_bargain` ADD COLUMN bargain_max_num INT(11) NOT NULL DEFAULT 0 COMMENT '最大砍价人数';

ALTER TABLE `{{prefix}}promotion_bargain` ADD COLUMN help_bargain_num INT(11) NOT NULL DEFAULT 0 COMMENT '帮助砍价人数';

ALTER TABLE `{{prefix}}promotion_bargain` ADD COLUMN browse_num INT(11) NOT NULL DEFAULT 0 COMMENT '浏览人数';

ALTER TABLE `{{prefix}}promotion_bargain` ADD COLUMN share_num INT(11) NOT NULL DEFAULT 0 COMMENT '分享人数';

ALTER TABLE `{{prefix}}promotion_bargain_goods` ADD COLUMN bargain_max_num INT(11) NOT NULL DEFAULT 0 COMMENT '最大砍价人数';

ALTER TABLE `{{prefix}}promotion_bargain_goods` ADD COLUMN help_bargain_num INT(11) NOT NULL DEFAULT 0 COMMENT '帮助砍价人数';


-- 修改字段默认值
ALTER TABLE `{{prefix}}promotion_consume_record` MODIFY COLUMN config VARCHAR(5000) NOT NULL DEFAULT '' COMMENT '配置';

ALTER TABLE `{{prefix}}promotion_bale` MODIFY COLUMN goods_ids VARCHAR(2500) NOT NULL DEFAULT '';

UPDATE `{{prefix}}message_template` SET message_json = '{"goodsname":"商品名称","expiretime":"到期时间"}' WHERE keywords = 'ORDER_URGE_PAYMENT';

ALTER TABLE `{{prefix}}local` MODIFY COLUMN start_distance DECIMAL(10, 2) NOT NULL DEFAULT 1.00 COMMENT '多少距离以内,...';


-- 修改字段类型

ALTER TABLE `{{prefix}}store_settlement` CHANGE COLUMN refund_money refund_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '退款金额';

ALTER TABLE `{{prefix}}store_settlement` CHANGE COLUMN is_settlement is_settlement TINYINT NOT NULL DEFAULT 0 COMMENT '是否结算';

ALTER TABLE `{{prefix}}store_goods_sku` CHANGE COLUMN store_stock store_stock INT NOT NULL DEFAULT 0 COMMENT '库存';

ALTER TABLE `{{prefix}}store_goods_sku` CHANGE COLUMN store_sale_num store_sale_num INT NOT NULL DEFAULT 0 COMMENT '销量';

ALTER TABLE `{{prefix}}store` CHANGE COLUMN order_money order_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '付款后订单金额';

ALTER TABLE `{{prefix}}store` CHANGE COLUMN order_complete_money order_complete_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '订单完成-订单金额';

ALTER TABLE `{{prefix}}store` CHANGE COLUMN order_num order_num INT NOT NULL DEFAULT 0 COMMENT '订单数';

ALTER TABLE `{{prefix}}store` CHANGE COLUMN order_complete_num order_complete_num INT NOT NULL DEFAULT 0 COMMENT '订单完成数量';

ALTER TABLE `{{prefix}}store` CHANGE COLUMN is_frozen is_frozen TINYINT NOT NULL DEFAULT 0 COMMENT '是否冻结0-未冻结 1已冻结';

ALTER TABLE `{{prefix}}servicer_dialogue` CHANGE COLUMN add_time add_time INT NOT NULL DEFAULT 0 COMMENT '创建时间戳';

ALTER TABLE `{{prefix}}servicer_dialogue` CHANGE COLUMN `read` `read` TINYINT NOT NULL DEFAULT 0 COMMENT '消息是否已读';

ALTER TABLE `{{prefix}}servicer_dialogue` CHANGE COLUMN type type TINYINT NOT NULL DEFAULT 0 COMMENT '0: say,客户咨询，1：answer,客服回答';

ALTER TABLE `{{prefix}}promotion_seckill_goods` CHANGE COLUMN seckill_id seckill_id INT NOT NULL DEFAULT 0 COMMENT '主键';

ALTER TABLE `{{prefix}}promotion_seckill_goods` CHANGE COLUMN status status TINYINT NOT NULL DEFAULT 0 COMMENT '活动状态 0未开始 1进行中 2已结束 -1已关闭（手动）';

ALTER TABLE `{{prefix}}promotion_presale_order` CHANGE COLUMN presale_money presale_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '抵扣总额';

ALTER TABLE `{{prefix}}promotion_pintuan` CHANGE COLUMN is_virtual_goods is_virtual_goods TINYINT NOT NULL DEFAULT 0 COMMENT '是否是虚拟商品（0否 1是）';

ALTER TABLE `{{prefix}}promotion_pintuan` CHANGE COLUMN is_single_buy is_single_buy TINYINT NOT NULL DEFAULT 1 COMMENT '是否单独购买';

ALTER TABLE `{{prefix}}promotion_pintuan` CHANGE COLUMN is_virtual_buy is_virtual_buy TINYINT NOT NULL DEFAULT 0 COMMENT '是否虚拟成团';

ALTER TABLE `{{prefix}}promotion_pintuan` CHANGE COLUMN is_promotion is_promotion TINYINT NOT NULL DEFAULT 0 COMMENT '是否团长优惠';

ALTER TABLE `{{prefix}}promotion_pintuan` CHANGE COLUMN status status TINYINT NOT NULL DEFAULT 0 COMMENT '状态（0正常 1活动进行中  2活动已结束  3失效  4删除）';

ALTER TABLE `{{prefix}}promotion_pinfan` CHANGE COLUMN is_virtual_goods is_virtual_goods TINYINT NOT NULL DEFAULT 0 COMMENT '是否是虚拟商品（0否 1是）';

ALTER TABLE `{{prefix}}promotion_pinfan` CHANGE COLUMN chengtuan_num chengtuan_num INT NOT NULL DEFAULT 0 COMMENT '实际成功人数';

ALTER TABLE `{{prefix}}promotion_pinfan` CHANGE COLUMN reward_type reward_type TINYINT NOT NULL DEFAULT 0 COMMENT '拼团成功但是未发货奖励1消费余额2现金红包3优惠券4.积分';

ALTER TABLE `{{prefix}}promotion_pinfan` CHANGE COLUMN is_single_buy is_single_buy TINYINT NOT NULL DEFAULT 1 COMMENT '是否单独购买';

ALTER TABLE `{{prefix}}promotion_pinfan` CHANGE COLUMN is_virtual_buy is_virtual_buy TINYINT NOT NULL DEFAULT 0 COMMENT '是否虚拟成团';

ALTER TABLE `{{prefix}}promotion_pinfan` CHANGE COLUMN is_promotion is_promotion TINYINT NOT NULL DEFAULT 0 COMMENT '是否团长优惠';

ALTER TABLE `{{prefix}}promotion_pinfan` CHANGE COLUMN status status TINYINT NOT NULL DEFAULT 0 COMMENT '状态（0正常 1活动进行中  2活动已结束  3失效  4删除）';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN used_count used_count INT NOT NULL DEFAULT 0 COMMENT '已使用数量';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN goods_type goods_type TINYINT UNSIGNED NOT NULL DEFAULT 1 COMMENT '适用商品类型1-全部商品可用；2-指定商品可用；3-指定商品不可用';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN is_limit is_limit TINYINT NOT NULL DEFAULT 0 COMMENT '使用门槛0-无门槛 1-有门槛';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN discount discount DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '1 =< 折扣 <= 9.9 当type为discount时需要添加';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN min_money min_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '最低金额 当type为radom时需要添加';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN max_money max_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '最大金额 当type为radom时需要添加';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN validity_type validity_type TINYINT NOT NULL DEFAULT 0 COMMENT '过期类型0-古固定时间范围过期 1-领取之日固定日期后过期 2长期有效';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN start_use_time start_use_time INT NOT NULL DEFAULT 0 COMMENT '使用开始日期 过期类型0时必填';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN end_use_time end_use_time INT NOT NULL DEFAULT 0 COMMENT '使用结束日期 过期类型0时必填';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN fixed_term fixed_term INT NOT NULL DEFAULT 0 COMMENT '当validity_type为1时需要添加 领取之日起或者次日N天内有效';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN is_limit_member is_limit_member TINYINT NOT NULL DEFAULT 0 COMMENT '是否限制会员身份0-不限制 1限制';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN is_limitless is_limitless TINYINT NOT NULL DEFAULT 0 COMMENT '是否无限制0-否 1是';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN max_fetch max_fetch INT NOT NULL DEFAULT 0 COMMENT '每人最大领取个数';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN is_expire_notice is_expire_notice TINYINT NOT NULL DEFAULT 0 COMMENT '是否开启过期提醒0-不开启 1-开启';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN expire_notice_fixed_term expire_notice_fixed_term INT NOT NULL DEFAULT 0 COMMENT '过期前N天提醒';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN is_mark is_mark TINYINT NOT NULL DEFAULT 0 COMMENT '是否同时给会员打标签 0-否 1-是';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN is_share is_share TINYINT NOT NULL DEFAULT 0 COMMENT '分享设置 优惠券允许分享给好友领取';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN is_handsel is_handsel TINYINT NOT NULL DEFAULT 0 COMMENT '转赠设置 优惠券允许转赠给好友';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN is_forbid_preference is_forbid_preference TINYINT NOT NULL DEFAULT 0 COMMENT '优惠叠加 0-不限制 1- 优惠券仅原价购买商品时可用';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN is_show is_show INT NOT NULL DEFAULT 0 COMMENT '是否显示';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN discount_order_money discount_order_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '订单的优惠总金额';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN order_money order_money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '用券总成交额';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN is_forbidden is_forbidden TINYINT NOT NULL DEFAULT 0 COMMENT '是否禁止发放0-否 1-是';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN old_member_num old_member_num INT NOT NULL DEFAULT 0 COMMENT '使用优惠券的老会员数';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN new_member_num new_member_num INT NOT NULL DEFAULT 0 COMMENT '平台第一次购买使用优惠券的会员数';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN order_goods_num order_goods_num INT NOT NULL DEFAULT 0 COMMENT '使用优惠券购买的商品数量';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN create_time create_time INT NOT NULL DEFAULT 0 COMMENT '创建时间';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN update_time update_time INT NOT NULL DEFAULT 0 COMMENT '修改时间';

ALTER TABLE `{{prefix}}promotion_coupon_type` CHANGE COLUMN end_time end_time INT NOT NULL DEFAULT 0 COMMENT '有效日期结束时间';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN coupon_type_id coupon_type_id INT NOT NULL DEFAULT 0 COMMENT '优惠券类型id';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN site_id site_id INT NOT NULL DEFAULT 0 COMMENT '站点Id';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN member_id member_id INT NOT NULL DEFAULT 0 COMMENT '领用人';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN use_order_id use_order_id INT NOT NULL DEFAULT 0 COMMENT '优惠券使用订单id';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN goods_type goods_type TINYINT NOT NULL DEFAULT 0 COMMENT '适用商品类型1-全部商品可用；2-指定商品可用；3-指定商品不可用';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN at_least at_least DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '最小金额';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN money money DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '面额';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN discount discount DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '1 =< 折扣 <= 9.9 当type为discount时需要添加';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN discount_limit discount_limit DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '最多折扣金额 当type为discount时可选择性添加';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN is_mark is_mark TINYINT NOT NULL DEFAULT 0 COMMENT '是否同时给会员打标签 0-否 1-是';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN is_share is_share TINYINT NOT NULL DEFAULT 0 COMMENT '分享设置 优惠券允许分享给好友领取';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN is_handsel is_handsel TINYINT NOT NULL DEFAULT 0 COMMENT '转赠设置 优惠券允许转赠给好友';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN is_forbid_preference is_forbid_preference TINYINT NOT NULL DEFAULT 0 COMMENT '优惠叠加 0-不限制 1- 优惠券仅原价购买商品时可用';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN is_expire_notice is_expire_notice TINYINT NOT NULL DEFAULT 0 COMMENT '是否开启过期提醒0-不开启 1-开启';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN expire_notice_fixed_term expire_notice_fixed_term INT NOT NULL DEFAULT 0 COMMENT '过期前N天提醒';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN is_noticed is_noticed TINYINT NOT NULL DEFAULT 0 COMMENT '是否已提醒';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN state state TINYINT NOT NULL DEFAULT 0 COMMENT '优惠券状态 1已领用（未使用） 2已使用 3已过期 4已关闭';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN get_type get_type TINYINT NOT NULL DEFAULT 0 COMMENT '获取方式1订单2.直接领取3.活动领取 4转赠 5分享获取';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN related_id related_id INT NOT NULL DEFAULT 0 COMMENT '获取优惠券的关联id';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN fetch_time fetch_time INT NOT NULL DEFAULT 0 COMMENT '领取时间';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN use_time use_time INT NOT NULL DEFAULT 0 COMMENT '使用时间';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN start_time start_time INT NOT NULL DEFAULT 0 COMMENT '可使用的开始时间';

ALTER TABLE `{{prefix}}promotion_coupon` CHANGE COLUMN end_time end_time INT NOT NULL DEFAULT 0 COMMENT '有效期结束时间';

ALTER TABLE `{{prefix}}promotion_consume_record` CHANGE COLUMN is_recycled is_recycled INT NOT NULL DEFAULT 0 COMMENT '奖励是否已回收';

ALTER TABLE `{{prefix}}promotion_bundling_goods` CHANGE COLUMN sku_id sku_id INT NOT NULL DEFAULT 0 COMMENT '商品skuid';

ALTER TABLE `{{prefix}}promotion_bargain_goods` CHANGE COLUMN id id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id';

ALTER TABLE `{{prefix}}promotion_bargain_goods` CHANGE COLUMN is_fenxiao is_fenxiao TINYINT NOT NULL DEFAULT 0 COMMENT '是否参与分销（0不参与  1参与）';

ALTER TABLE `{{prefix}}promotion_bargain_goods` CHANGE COLUMN buy_type buy_type TINYINT NOT NULL DEFAULT 0 COMMENT '购买方式（0任意金额可购买 1砍到指定价格）';

ALTER TABLE `{{prefix}}promotion_bargain_goods` CHANGE COLUMN bargain_type bargain_type TINYINT NOT NULL DEFAULT 0 COMMENT '砍价金额类型（0固定金额 1随机金额）';

ALTER TABLE `{{prefix}}promotion_bargain_goods` CHANGE COLUMN remark remark TEXT NOT NULL COMMENT '活动规则说明';

ALTER TABLE `{{prefix}}promotion_bargain_goods` CHANGE COLUMN status status TINYINT NOT NULL DEFAULT 0 COMMENT '状态（0未开始 1活动进行中  2活动已结束  3已关闭）';

ALTER TABLE `{{prefix}}promotion_bargain_goods` CHANGE COLUMN is_own is_own TINYINT NOT NULL DEFAULT 0 COMMENT '是否自己砍价（0不支持  1支持）';

ALTER TABLE `{{prefix}}promotion_bargain_goods` CHANGE COLUMN is_differ_new_user is_differ_new_user TINYINT NOT NULL DEFAULT 0 COMMENT '是否区分新老用户';

ALTER TABLE `{{prefix}}promotion_bargain_goods` CHANGE COLUMN distinguish distinguish TINYINT NOT NULL DEFAULT 1 COMMENT '新用户区分标准';

ALTER TABLE `{{prefix}}promotion_bargain` CHANGE COLUMN is_fenxiao is_fenxiao TINYINT NOT NULL DEFAULT 0 COMMENT '是否参与分销（0不参与  1参与）';

ALTER TABLE `{{prefix}}promotion_bargain` CHANGE COLUMN buy_type buy_type TINYINT NOT NULL DEFAULT 0 COMMENT '购买方式（0任意金额可购买 1砍到指定价格）';

ALTER TABLE `{{prefix}}promotion_bargain` CHANGE COLUMN bargain_type bargain_type TINYINT NOT NULL DEFAULT 0 COMMENT '砍价金额类型（0固定金额 1随机金额）';

ALTER TABLE `{{prefix}}promotion_bargain` CHANGE COLUMN status status TINYINT NOT NULL DEFAULT 0 COMMENT '状态（0未开始 1活动进行中  2活动已结束  3失效  4删除）';

ALTER TABLE `{{prefix}}promotion_bargain` CHANGE COLUMN is_own is_own TINYINT NOT NULL DEFAULT 0 COMMENT '是否自己砍价（0不支持  1支持）';

ALTER TABLE `{{prefix}}promotion_bargain` CHANGE COLUMN is_differ_new_user is_differ_new_user TINYINT NOT NULL DEFAULT 0 COMMENT '是否区分新老用户';

ALTER TABLE `{{prefix}}promotion_bargain` CHANGE COLUMN distinguish distinguish TINYINT NOT NULL DEFAULT 1 COMMENT '新用户区分标准';

ALTER TABLE `{{prefix}}promotion_bale` CHANGE COLUMN shipping_fee_type shipping_fee_type TINYINT NOT NULL DEFAULT 0 COMMENT '是否包邮（0卖家承担运费  1买家承担运费）';

ALTER TABLE `{{prefix}}order_goods` CHANGE COLUMN shop_active_refund shop_active_refund TINYINT NOT NULL DEFAULT 0 COMMENT '商家主动退款（0否  1是）';

ALTER TABLE `{{prefix}}order_goods` CHANGE COLUMN refund_mode refund_mode INT NOT NULL DEFAULT 1 COMMENT '退款类型 1退款 2售后';

ALTER TABLE `{{prefix}}order_goods` CHANGE COLUMN is_fenxiao is_fenxiao INT NOT NULL DEFAULT 1;

ALTER TABLE `{{prefix}}order_goods` CHANGE COLUMN out_aftersale_id out_aftersale_id VARCHAR(255) NOT NULL DEFAULT '' COMMENT '关联视频号订单';

ALTER TABLE `{{prefix}}notes` CHANGE COLUMN cover_type cover_type TINYINT NOT NULL DEFAULT 0 COMMENT '封面图片类型（0单图 1多图）';

ALTER TABLE `{{prefix}}notes` CHANGE COLUMN note_content note_content LONGTEXT DEFAULT NULL COMMENT '内容';

ALTER TABLE `{{prefix}}notes` CHANGE COLUMN status status TINYINT NOT NULL DEFAULT 0 COMMENT '状态（0草稿箱  1发布）';

ALTER TABLE `{{prefix}}notes` CHANGE COLUMN is_show_release_time is_show_release_time TINYINT NOT NULL DEFAULT 0 COMMENT '发布时间是否显示';

ALTER TABLE `{{prefix}}notes` CHANGE COLUMN is_show_read_num is_show_read_num TINYINT NOT NULL DEFAULT 0 COMMENT '阅读数是否显示';

ALTER TABLE `{{prefix}}notes` CHANGE COLUMN is_show_dianzan_num is_show_dianzan_num TINYINT NOT NULL DEFAULT 0 COMMENT '点赞数是否显示';

ALTER TABLE `{{prefix}}member_recharge_card` CHANGE COLUMN recharge_id recharge_id INT NOT NULL DEFAULT 0 COMMENT '套餐ID';

ALTER TABLE `{{prefix}}member_recharge_card` CHANGE COLUMN buy_price buy_price DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '购买金额';

ALTER TABLE `{{prefix}}member_recharge_card` CHANGE COLUMN member_id member_id INT NOT NULL DEFAULT 0 COMMENT '会员ID';

ALTER TABLE `{{prefix}}member_recharge_card` CHANGE COLUMN from_type from_type TINYINT NOT NULL DEFAULT 0 COMMENT '获取来源';

ALTER TABLE `{{prefix}}member_recharge_card` CHANGE COLUMN use_status use_status TINYINT NOT NULL DEFAULT 1 COMMENT '使用状态（1未使用 2已使用）';

ALTER TABLE `{{prefix}}member_label` CHANGE COLUMN label_id label_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '标签id';

ALTER TABLE `{{prefix}}member_label` CHANGE COLUMN site_id site_id INT NOT NULL DEFAULT 0 COMMENT 'site_id';

ALTER TABLE `{{prefix}}goods_recommend` CHANGE COLUMN type type INT NOT NULL DEFAULT 0 COMMENT '类型：1一周销售排名，2一月销售排名，3自定义推荐';

ALTER TABLE `{{prefix}}goods_recommend` CHANGE COLUMN goods_ids goods_ids VARCHAR(255) NOT NULL DEFAULT '' COMMENT '自定义推荐商品ID';

ALTER TABLE `{{prefix}}goods_grab` CHANGE COLUMN is_virtual is_virtual TINYINT NOT NULL DEFAULT 0 COMMENT '商品类型（0实物1.虚拟）';

ALTER TABLE `{{prefix}}goods_grab` CHANGE COLUMN category_id category_id VARCHAR(255) NOT NULL DEFAULT '' COMMENT '商品分类';

ALTER TABLE `{{prefix}}fenxiao_order` CHANGE COLUMN order_id order_id INT NOT NULL DEFAULT 0 COMMENT '订单ID';

ALTER TABLE `{{prefix}}fenxiao_order` CHANGE COLUMN is_settlement is_settlement TINYINT NOT NULL DEFAULT 0 COMMENT '是否结算';

ALTER TABLE `{{prefix}}fenxiao_order` CHANGE COLUMN is_refund is_refund TINYINT NOT NULL DEFAULT 0 COMMENT '是否退款';

ALTER TABLE `{{prefix}}fenxiao_level` CHANGE COLUMN upgrade_type upgrade_type TINYINT NOT NULL DEFAULT 0 COMMENT '升级方式（0满足任意条件  1满足全部条件）';

ALTER TABLE `{{prefix}}fenxiao_level` CHANGE COLUMN fenxiao_order_meney fenxiao_order_meney DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '订单总金额';

ALTER TABLE `{{prefix}}fenxiao_level` CHANGE COLUMN status status TINYINT NOT NULL DEFAULT 0 COMMENT '状态（0关闭 1启用）';

ALTER TABLE `{{prefix}}fenxiao_level` CHANGE COLUMN is_default is_default INT NOT NULL DEFAULT 0 COMMENT '是否是默认等级';

ALTER TABLE `{{prefix}}fenxiao_goods` CHANGE COLUMN goods_id goods_id INT NOT NULL DEFAULT 0 COMMENT '商品ID';

ALTER TABLE `{{prefix}}fenxiao_goods` CHANGE COLUMN one_rate one_rate DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '一级佣金';

ALTER TABLE `{{prefix}}fenxiao_goods` CHANGE COLUMN two_rate two_rate DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '二级佣金';

ALTER TABLE `{{prefix}}fenxiao_goods` CHANGE COLUMN three_rate three_rate DECIMAL(10, 2) NOT NULL DEFAULT 0.00 COMMENT '三级佣金';

ALTER TABLE `{{prefix}}fenxiao_goods` CHANGE COLUMN state state TINYINT NOT NULL DEFAULT 0 COMMENT '是否参与';